Bug 55347 - Exception when using static resource Thickness in 2.3.5-pre1 with XamlC
Summary: Exception when using static resource Thickness in 2.3.5-pre1 with XamlC
Status: VERIFIED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Forms (show other bugs)
Version: unspecified
Hardware: Macintosh Mac OS
: --- major
Target Milestone: ---
Assignee: Stephane Delcroix
URL:
Depends on:
Blocks:
 
Reported: 2017-04-18 20:54 UTC by Joe Manke
Modified: 2017-07-04 06:52 UTC (History)
8 users (show)

Tags: AC
Is this bug a regression?: ---
Last known good build:


Attachments
Repro project (309.68 KB, application/zip)
2017-04-18 20:57 UTC, Joe Manke
Details
Mac Screenshot (195.14 KB, image/png)
2017-07-04 06:52 UTC, Pratik Lad
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description Joe Manke 2017-04-18 20:54:36 UTC
# Steps to reproduce
1. Create a new Xamarin.Forms project.
2. Update to Xamarin.Forms 2.3.5-pre1.
3. Add a Thickness object to the Application Resources.
4. Create a Page with a ListView with grouping enabled. Make the GroupHeaderTemplate a ViewCell which uses the resource for its View's Padding or Margin. Turn Xaml Compilation on for this page.

# Expected behavior
Grouped list view with padding applied to header cells.

# Actual behavior
* Android: InvalidProgramException thrown by InitializeComponent()
* iOS: ExecutionEngineException thrown by InitializeComponent()

# Supplemental info (logs, images, videos)
Android:
* Exception Message: Invalid IL code in XF_235_ResourceException.MainPage/<InitializeComponent>_anonXamlCDataTemplate_0:LoadDataTemplate (): IL_0148: call      0x0a00003a
* Stack Trace: 
  at Xamarin.Forms.ElementTemplate.CreateContent () [0x00026] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\ElementTemplate.cs:78 
  at Xamarin.Forms.Internals.DataTemplateExtensions.CreateContent (Xamarin.Forms.DataTemplate self, System.Object item, Xamarin.Forms.BindableObject container) [0x00014] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\DataTemplateExtensions.cs:15 
  at Xamarin.Forms.Internals.TemplatedItemsList`2[TView,TItem].InsertGrouped (System.Object item, System.Int32 index) [0x00084] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\TemplatedItemsList.cs:726 
  at Xamarin.Forms.Internals.TemplatedItemsList`2[TView,TItem].GroupedReset () [0x00083] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\TemplatedItemsList.cs:704 
  at Xamarin.Forms.Internals.TemplatedItemsList`2[TView,TItem].OnCollectionChangedGrouped (System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x00459] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\TemplatedItemsList.cs:887 
  at Xamarin.Forms.Internals.TemplatedItemsList`2[TView,TItem].OnProxyCollectionChanged (System.Object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e, System.Boolean fixWindows) [0x00008] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\TemplatedItemsList.cs:962 
  at Xamarin.Forms.Internals.TemplatedItemsList`2[TView,TItem].OnProxyCollectionChanged (System.Object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x00000] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\TemplatedItemsList.cs:955 
  at Xamarin.Forms.Internals.TemplatedItemsList`2[TView,TItem].OnItemsSourceChanged (System.Boolean fromGrouping) [0x00061] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\TemplatedItemsList.cs:936 
  at Xamarin.Forms.Internals.TemplatedItemsList`2[TView,TItem].BindableOnPropertyChanged (System.Object sender, System.ComponentModel.PropertyChangedEventArgs e) [0x00020] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\TemplatedItemsList.cs:648 
  at Xamarin.Forms.BindableObject.OnPropertyChanged (System.String propertyName) [0x0000a] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\BindableObject.cs:137 
  at Xamarin.Forms.Element.OnPropertyChanged (System.String propertyName) [0x00000] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\Element.cs:388 
  at Xamarin.Forms.BindableObject.SetValueActual (Xamarin.Forms.BindableProperty property, Xamarin.Forms.BindableObject+BindablePropertyContext context, System.Object value, System.Boolean currentlyApplying, Xamarin.Forms.Internals.SetValueFlags attributes, System.Boolean silent) [0x000f4] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\BindableObject.cs:592 
  at Xamarin.Forms.BindableObject.SetValueCore (Xamarin.Forms.BindableProperty property, System.Object value, Xamarin.Forms.Internals.SetValueFlags attributes, Xamarin.Forms.BindableObject+SetValuePrivateFlags privateAttributes) [0x0015b] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\BindableObject.cs:389 
  at Xamarin.Forms.BindingExpression.ApplyCore (System.Object sourceObject, Xamarin.Forms.BindableObject target, Xamarin.Forms.BindableProperty property, System.Boolean fromTarget) [0x001f9] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\BindingExpression.cs:174 
  at Xamarin.Forms.BindingExpression.Apply (System.Object sourceObject, Xamarin.Forms.BindableObject target, Xamarin.Forms.BindableProperty property) [0x0006b] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\BindingExpression.cs:77 
  at Xamarin.Forms.Binding.Apply (System.Object newContext, Xamarin.Forms.BindableObject bindObj, Xamarin.Forms.BindableProperty targetProperty) [0x00042] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\Binding.cs:126 
  at Xamarin.Forms.BindableObject.ApplyBindings (System.Boolean skipBindingContext) [0x0003b] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\BindableObject.cs:420 
  at Xamarin.Forms.BindableObject.ApplyBindings () [0x00000] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\BindableObject.cs:125 
  at Xamarin.Forms.BindableObject.SetInheritedBindingContext (Xamarin.Forms.BindableObject bindable, System.Object value) [0x0005a] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\BindableObject.cs:119 
  at Xamarin.Forms.Element.SetChildInheritedBindingContext (Xamarin.Forms.Element child, System.Object context) [0x00000] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\Element.cs:493 
  at Xamarin.Forms.TemplatedPage.SetChildInheritedBindingContext (Xamarin.Forms.Element child, System.Object context) [0x00008] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\TemplatedPage.cs:35 
  at Xamarin.Forms.Element.set_Parent (Xamarin.Forms.Element value) [0x0007b] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\Element.cs:199 
  at Xamarin.Forms.Element.OnChildAdded (Xamarin.Forms.Element child) [0x00000] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\Element.cs:355 
  at Xamarin.Forms.VisualElement.OnChildAdded (Xamarin.Forms.Element child) [0x00000] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\VisualElement.cs:578 
  at Xamarin.Forms.Page.OnInternalAdded (Xamarin.Forms.VisualElement view) [0x00013] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\Page.cs:355 
  at Xamarin.Forms.Page.InternalChildrenOnCollectionChanged (System.Object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x0005f] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\Page.cs:347 
  at System.Collections.ObjectModel.ObservableCollection`1[T].OnCollectionChanged (System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x00012] in /Users/builder/data/lanes/4468/f913a78a/source/mono/mcs/class/referencesource/System/compmod/system/collections/objectmodel/observablecollection.cs:288 
  at System.Collections.ObjectModel.ObservableCollection`1[T].OnCollectionChanged (System.Collections.Specialized.NotifyCollectionChangedAction action, System.Object item, System.Int32 index) [0x00000] in /Users/builder/data/lanes/4468/f913a78a/source/mono/mcs/class/referencesource/System/compmod/system/collections/objectmodel/observablecollection.cs:351 
  at System.Collections.ObjectModel.ObservableCollection`1[T].InsertItem (System.Int32 index, T item) [0x00024] in /Users/builder/data/lanes/4468/f913a78a/source/mono/mcs/class/referencesource/System/compmod/system/collections/objectmodel/observablecollection.cs:219 
  at System.Collections.ObjectModel.Collection`1[T].Add (T item) [0x00023] in /Users/builder/data/lanes/4468/f913a78a/source/mono/mcs/class/referencesource/mscorlib/system/collections/objectmodel/collection.cs:67 
  at Xamarin.Forms.TemplateUtilities.OnContentChanged (Xamarin.Forms.BindableObject bindable, System.Object oldValue, System.Object newValue) [0x00041] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\TemplateUtilities.cs:67 
  at Xamarin.Forms.BindableObject.SetValueActual (Xamarin.Forms.BindableProperty property, Xamarin.Forms.BindableObject+BindablePropertyContext context, System.Object value, System.Boolean currentlyApplying, Xamarin.Forms.Internals.SetValueFlags attributes, System.Boolean silent) [0x00108] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\BindableObject.cs:595 
  at Xamarin.Forms.BindableObject.SetValueCore (Xamarin.Forms.BindableProperty property, System.Object value, Xamarin.Forms.Internals.SetValueFlags attributes, Xamarin.Forms.BindableObject+SetValuePrivateFlags privateAttributes) [0x0015b] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\BindableObject.cs:389 
  at Xamarin.Forms.BindableObject.SetValue (Xamarin.Forms.BindableProperty property, System.Object value, System.Boolean fromStyle, System.Boolean checkAccess) [0x0005f] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\BindableObject.cs:542 
  at Xamarin.Forms.BindableObject.SetValue (Xamarin.Forms.BindableProperty property, System.Object value) [0x00000] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\BindableObject.cs:83 
  at XF_235_ResourceException.MainPage.InitializeComponent () [0x00012] in \\Mac\Home\Documents\Visual Studio 2017\Projects\XF-235-ResourceException\XF-235-ResourceException\XF_235_ResourceException\obj\Debug\XF_235_ResourceException.MainPage.xaml.g.cs:21 
  at XF_235_ResourceException.MainPage..ctor () [0x000a4] in \\Mac\Home\Documents\Visual Studio 2017\Projects\XF-235-ResourceException\XF-235-ResourceException\XF_235_ResourceException\MainPage.xaml.cs:36 

iOS
* Exception Message: Attempting to JIT compile method 'XF_235_ResourceException.MainPage/<InitializeComponent>_anonXamlCDataTemplate_0:LoadDataTemplate ()' while running with --aot-only. See http://docs.xamarin.com/ios/about/limitations for more information.
* Stack Trace:
  at Xamarin.Forms.ElementTemplate.CreateContent () [0x00026] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\ElementTemplate.cs:78 
  at Xamarin.Forms.Internals.DataTemplateExtensions.CreateContent (Xamarin.Forms.DataTemplate self, System.Object item, Xamarin.Forms.BindableObject container) [0x00014] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\DataTemplateExtensions.cs:15 
  at Xamarin.Forms.Internals.TemplatedItemsList`2[TView,TItem].InsertGrouped (System.Object item, System.Int32 index) [0x00091] in <85ba51ae3e28448fa01c46e397f0e05e>:0 
  at Xamarin.Forms.Internals.TemplatedItemsList`2[TView,TItem].GroupedReset () [0x00083] in <85ba51ae3e28448fa01c46e397f0e05e>:0 
  at Xamarin.Forms.Internals.TemplatedItemsList`2[TView,TItem].OnCollectionChangedGrouped (System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x00459] in <85ba51ae3e28448fa01c46e397f0e05e>:0 
  at Xamarin.Forms.Internals.TemplatedItemsList`2[TView,TItem].OnProxyCollectionChanged (System.Object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e, System.Boolean fixWindows) [0x00008] in <85ba51ae3e28448fa01c46e397f0e05e>:0 
  at Xamarin.Forms.Internals.TemplatedItemsList`2[TView,TItem].OnProxyCollectionChanged (System.Object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x00000] in <85ba51ae3e28448fa01c46e397f0e05e>:0 
  at Xamarin.Forms.Internals.TemplatedItemsList`2[TView,TItem].OnItemsSourceChanged (System.Boolean fromGrouping) [0x00069] in <85ba51ae3e28448fa01c46e397f0e05e>:0 
  at Xamarin.Forms.Internals.TemplatedItemsList`2[TView,TItem].BindableOnPropertyChanged (System.Object sender, System.ComponentModel.PropertyChangedEventArgs e) [0x00020] in <85ba51ae3e28448fa01c46e397f0e05e>:0 
  at Xamarin.Forms.BindableObject.OnPropertyChanged (System.String propertyName) [0x0000a] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\BindableObject.cs:137 
  at Xamarin.Forms.Element.OnPropertyChanged (System.String propertyName) [0x00000] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\Element.cs:388 
  at Xamarin.Forms.BindableObject.SetValueActual (Xamarin.Forms.BindableProperty property, Xamarin.Forms.BindableObject+BindablePropertyContext context, System.Object value, System.Boolean currentlyApplying, Xamarin.Forms.Internals.SetValueFlags attributes, System.Boolean silent) [0x000f4] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\BindableObject.cs:592 
  at Xamarin.Forms.BindableObject.SetValueCore (Xamarin.Forms.BindableProperty property, System.Object value, Xamarin.Forms.Internals.SetValueFlags attributes, Xamarin.Forms.BindableObject+SetValuePrivateFlags privateAttributes) [0x0015b] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\BindableObject.cs:389 
  at Xamarin.Forms.BindingExpression.ApplyCore (System.Object sourceObject, Xamarin.Forms.BindableObject target, Xamarin.Forms.BindableProperty property, System.Boolean fromTarget) [0x001f9] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\BindingExpression.cs:174 
  at Xamarin.Forms.BindingExpression.Apply (System.Object sourceObject, Xamarin.Forms.BindableObject target, Xamarin.Forms.BindableProperty property) [0x0006b] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\BindingExpression.cs:77 
  at Xamarin.Forms.Binding.Apply (System.Object newContext, Xamarin.Forms.BindableObject bindObj, Xamarin.Forms.BindableProperty targetProperty) [0x00042] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\Binding.cs:126 
  at Xamarin.Forms.BindableObject.ApplyBindings (System.Boolean skipBindingContext) [0x0003b] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\BindableObject.cs:420 
  at Xamarin.Forms.BindableObject.ApplyBindings () [0x00000] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\BindableObject.cs:125 
  at Xamarin.Forms.BindableObject.SetInheritedBindingContext (Xamarin.Forms.BindableObject bindable, System.Object value) [0x0005a] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\BindableObject.cs:119 
  at Xamarin.Forms.Element.SetChildInheritedBindingContext (Xamarin.Forms.Element child, System.Object context) [0x00000] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\Element.cs:493 
  at Xamarin.Forms.TemplatedPage.SetChildInheritedBindingContext (Xamarin.Forms.Element child, System.Object context) [0x00008] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\TemplatedPage.cs:35 
  at Xamarin.Forms.Element.set_Parent (Xamarin.Forms.Element value) [0x0007b] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\Element.cs:199 
  at Xamarin.Forms.Element.OnChildAdded (Xamarin.Forms.Element child) [0x00000] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\Element.cs:355 
  at Xamarin.Forms.VisualElement.OnChildAdded (Xamarin.Forms.Element child) [0x00000] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\VisualElement.cs:578 
  at Xamarin.Forms.Page.OnInternalAdded (Xamarin.Forms.VisualElement view) [0x00013] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\Page.cs:355 
  at Xamarin.Forms.Page.InternalChildrenOnCollectionChanged (System.Object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x0005f] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\Page.cs:347 
  at System.Collections.ObjectModel.ObservableCollection`1[T].OnCollectionChanged (System.Collections.Specialized.NotifyCollectionChangedEventArgs e) [0x00012] in <658bd68faddc414897c4906c78919738>:0 
  at System.Collections.ObjectModel.ObservableCollection`1[T].OnCollectionChanged (System.Collections.Specialized.NotifyCollectionChangedAction action, System.Object item, System.Int32 index) [0x00009] in <658bd68faddc414897c4906c78919738>:0 
  at System.Collections.ObjectModel.ObservableCollection`1[T].InsertItem (System.Int32 index, T item) [0x00024] in <658bd68faddc414897c4906c78919738>:0 
  at System.Collections.ObjectModel.Collection`1[T].Add (T item) [0x00023] in <54e129cad3ee4c61a6b46c3680ddc69a>:0 
  at Xamarin.Forms.TemplateUtilities.OnContentChanged (Xamarin.Forms.BindableObject bindable, System.Object oldValue, System.Object newValue) [0x00041] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\TemplateUtilities.cs:67 
  at Xamarin.Forms.BindableObject.SetValueActual (Xamarin.Forms.BindableProperty property, Xamarin.Forms.BindableObject+BindablePropertyContext context, System.Object value, System.Boolean currentlyApplying, Xamarin.Forms.Internals.SetValueFlags attributes, System.Boolean silent) [0x00108] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\BindableObject.cs:595 
  at Xamarin.Forms.BindableObject.SetValueCore (Xamarin.Forms.BindableProperty property, System.Object value, Xamarin.Forms.Internals.SetValueFlags attributes, Xamarin.Forms.BindableObject+SetValuePrivateFlags privateAttributes) [0x0015b] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\BindableObject.cs:389 
  at Xamarin.Forms.BindableObject.SetValue (Xamarin.Forms.BindableProperty property, System.Object value, System.Boolean fromStyle, System.Boolean checkAccess) [0x0005f] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\BindableObject.cs:542 
  at Xamarin.Forms.BindableObject.SetValue (Xamarin.Forms.BindableProperty property, System.Object value) [0x00000] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Core\BindableObject.cs:83 
  at XF_235_ResourceException.MainPage.InitializeComponent () [0x00012] in \\Mac\Home\Documents\Visual Studio 2017\Projects\XF-235-ResourceException\XF-235-ResourceException\XF_235_ResourceException\obj\Debug\XF_235_ResourceException.MainPage.xaml.g.cs:21 
  at XF_235_ResourceException.MainPage..ctor () [0x000a4] in \\Mac\Home\Documents\Visual Studio 2017\Projects\XF-235-ResourceException\XF-235-ResourceException\XF_235_ResourceException\MainPage.xaml.cs:36 

# Test environment (full version information)
Mac:
* Operating System: Mac OSX 10.12.4
* Xamarin Studio Community version 6.3 (build 863)
* Xamarin.Android version 7.2.0.7
* Xamarin.iOS version 10.8.0.175

Windows:
* Operating System: Windows 10 Enterprise (running in Parallels on Mac)
* Visual Studio Enterprise 2017, version 15.1 (26403.3)
* Xamarin for Visual Studio version 4.4.0.34
* Xamarin.Android SDK version 7.2.0.7
* Xamarin.Apple SDK version 10.8.0.174
Comment 1 Joe Manke 2017-04-18 20:57:24 UTC
Created attachment 21606 [details]
Repro project
Comment 2 Stephane Delcroix 2017-04-19 14:47:19 UTC
here's a simpler repro:
```
<ContentPage xmlns="http://xamarin.com/schemas/2014/forms"
	xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
	x:Class="Foo"
	Padding="{StaticResource Padding}"/>
```
Comment 3 Stephane Delcroix 2017-04-19 15:15:02 UTC
https://github.com/xamarin/Xamarin.Forms/pull/876
Comment 4 Jason Smith [MSFT] 2017-05-22 20:17:10 UTC
This should already have been fixed in the latest 2.3.5 pre-release. If you are still having issue with the latest pre-release please re-open.
Comment 5 Neha Kharbade 2017-07-04 06:50:16 UTC
Verified this bug for both Windows & Mac systems, I am able to reproduce bug on xamarin.forms 2.3.5-pre1 where is its working as expected in xamarin.froms 2.3.5.256-pre6.


Build information gist link- https://gist.github.com/nehaKh/ba0228207953eafcc1f136b3bf22ddaa

Screencast - https://www.screencast.com/t/m9POCQJxz2
Comment 6 Pratik Lad 2017-07-04 06:52:43 UTC
Created attachment 23277 [details]
Mac Screenshot